Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class Log

    java.lang.Object
      net.i2p.util.Log

    public class Log

extends Object

Wrapper class for whatever logging system I2P uses. This class should be instantiated and kept as a variable for each class it is used by, ala: `private final static Log _log = new Log(MyClassName.class);` If there is anything in here that doesn't make sense, turn off your computer and go fly a kite.

Author:
  jrandom

Field Summary
`static int` | `CRIT`
`static int` | `DEBUG`
`static int` | `ERROR`
`static int` | `INFO`
`static String` | `STR_CRIT`
`static String` | `STR_DEBUG`
`static String` | `STR_ERROR`
`static String` | `STR_INFO`
`static String` | `STR_WARN`
`static int` | `WARN`

Constructor Summary
`Log(Class cls)`
`Log(LogManager manager, Class cls)`
`Log(LogManager manager, Class cls, String name)`
`Log(LogManager manager, String name)`
`Log(String name)`

Method Summary
`void` | `debug(String msg)`
`void` | `debug(String msg, Throwable t)`
`void` | `error(String msg)`
`void` | `error(String msg, Throwable t)`
`static int` | `getLevel(String level)`
`int` | `getMinimumPriority()`
`String` | `getName()`
`Object` | `getScope()`
`(package private) static String` | `getScope(String name, Class cls)`
`void` | `info(String msg)`
`void` | `info(String msg, Throwable t)`
`void` | `log(int priority, String msg)`
`void` | `log(int priority, String msg, Throwable t)`
`void` | `setMinimumPriority(int priority)`
`boolean` | `shouldLog(int priority)`
`static String` | `toLevelString(int level)`
`void` | `warn(String msg)`
`void` | `warn(String msg, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### INFO

    public static final int INFO

See Also:
  Constant Field Values

### WARN

    public static final int WARN

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### CRIT

    public static final int CRIT

See Also:
  Constant Field Values

### STR_DEBUG

    public static final String STR_DEBUG

See Also:
  Constant Field Values

### STR_INFO

    public static final String STR_INFO

See Also:
  Constant Field Values

### STR_WARN

    public static final String STR_WARN

See Also:
  Constant Field Values

### STR_ERROR

    public static final String STR_ERROR

See Also:
  Constant Field Values

### STR_CRIT

    public static final String STR_CRIT

See Also:
  Constant Field Values

Constructor Detail

### Log

    public Log(Class cls)

### Log

    public Log(String name)

### Log

    Log(LogManager manager,
        Class cls)

### Log

    Log(LogManager manager,
        String name)

### Log

    Log(LogManager manager,
        Class cls,
        String name)

Method Detail

### getLevel

    public static int getLevel(String level)

### toLevelString

    public static String toLevelString(int level)

### log

    public void log(int priority,
                    String msg)

### log

    public void log(int priority,
                    String msg,
                    Throwable t)

### debug

    public void debug(String msg)

### debug

    public void debug(String msg,
                      Throwable t)

### info

    public void info(String msg)

### info

    public void info(String msg,
                     Throwable t)

### warn

    public void warn(String msg)

### warn

    public void warn(String msg,
                     Throwable t)

### error

    public void error(String msg)

### error

    public void error(String msg,
                      Throwable t)

### getMinimumPriority

    public int getMinimumPriority()

### setMinimumPriority

    public void setMinimumPriority(int priority)

### shouldLog

    public boolean shouldLog(int priority)

### getName

    public String getName()

### getScope

    public Object getScope()

  Returns:
    the LogScope (private class)

### getScope

    static String getScope(String name,
                           Class cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD